Read one product
curl --request GET \
--url https://wisepim.com/api/public/v1/products/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"sku": "<string>",
"name": "<string>",
"name_long": "<string>",
"name_localized": {},
"description_localized": {},
"short_description_localized": {},
"status": "<string>",
"product_type": "<string>",
"category_ids": [
123
],
"attributes": [
{
"code": "<string>",
"label": "<string>",
"type": "<string>",
"value": "<unknown>",
"unit": "<string>"
}
],
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"ean": "<string>",
"upc": "<string>",
"manufacturer_part_number": "<string>",
"brand": "<string>",
"description": "<string>",
"short_description": "<string>",
"parent_id": 123,
"family": {
"id": 123,
"code": "<string>",
"name": "<string>"
},
"price": "<string>",
"special_price": "<string>",
"special_price_start_date": "2023-11-07T05:31:56Z",
"special_price_end_date": "2023-11-07T05:31:56Z",
"main_image": "<string>",
"meta_title": "<string>",
"meta_description": "<string>",
"meta_keywords": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Read one product
GET /products/ on the WISEPIM Public API: one product with its attribute values and category ids. Requires products:read.
GET
/
api
/
public
/
v1
/
products
/
{product_id}
Read one product
curl --request GET \
--url https://wisepim.com/api/public/v1/products/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"sku": "<string>",
"name": "<string>",
"name_long": "<string>",
"name_localized": {},
"description_localized": {},
"short_description_localized": {},
"status": "<string>",
"product_type": "<string>",
"category_ids": [
123
],
"attributes": [
{
"code": "<string>",
"label": "<string>",
"type": "<string>",
"value": "<unknown>",
"unit": "<string>"
}
],
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"ean": "<string>",
"upc": "<string>",
"manufacturer_part_number": "<string>",
"brand": "<string>",
"description": "<string>",
"short_description": "<string>",
"parent_id": 123,
"family": {
"id": 123,
"code": "<string>",
"name": "<string>"
},
"price": "<string>",
"special_price": "<string>",
"special_price_start_date": "2023-11-07T05:31:56Z",
"special_price_end_date": "2023-11-07T05:31:56Z",
"main_image": "<string>",
"meta_title": "<string>",
"meta_description": "<string>",
"meta_keywords": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Decimal string, e.g. "19.99".
Decimal string, e.g. "14.99".

